rem ------------------------------------------------------------
rem Installiere Notepad++
rem ------------------------------------------------------------

rem --- Option: Download in ein temporäres Verzeichnis
rem --- Kann für z.B. für GLPI abgeschaltet werden
set SAVEPATH=%SYSTEMDRIVE%\TEMP\install
MKDIR %SAVEPATH% & CD /D %SAVEPATH%

set VERS=8.7.1
set BASEURL=https://github.com/notepad-plus-plus/notepad-plus-plus/releases/download/v%VERS%
set PROG=npp.%VERS%.Installer.exe

curl -kL %BASEURL%/%PROG% -o %SAVEPATH%\%PROG%

rem --- Deinstalliere alte Version
if exist "%%programfiles%%\Notepad++\uninstall.exe" "%%programfiles%%\Notepad++\uninstall.exe" /S
if exist "%%programfiles(x86)%%\ Notepad++\uninstall.exe" "%%programfiles(x86)%%\Notepad++\uninstall.exe" /S

rem --- Installiere Notepad++
%PROG% /S /noUpdater

